
TYPO3.Flow - Bug # 30536

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: MVC
Created: 2011-10-04 Assigned To:
Updated: 2011-12-23 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: URI builder does not work correctly with arguments of subrequests
Description

see https://review.typo3.org/#change,2001

Associated revisions
Revision ef544183 - 2011-12-20 17:21 - Lienhart Woitok

[BUGFIX] Fix UriBuilder with subrequests

This change fixes the argument handling of the UriBuilder for nested
subrequests. The namespaces of all parent requests get added
recursively.

Change-Id: I73c20c236322d6a0fefff13df81a1f29fc6ee60f
Fixes: #30536
Releases: 1.0, 1.1

Revision 6629f530 - 2011-12-21 15:07 - Lienhart Woitok

[BUGFIX] Fix UriBuilder with subrequests

This change fixes the argument handling of the UriBuilder for nested
subrequests. The namespaces of all parent requests get added
recursively.

Change-Id: I28c7cd683e1f0095af92337fd2bb008b70db8060
Fixes: #30536
Releases: 1.0, 1.1

History
#1 - 2011-10-20 01:47 - Karsten Dambekalns
- Target version deleted (1.0.0)

#2 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#3 - 2011-12-20 17:21 - Gerrit Code Review
- Status changed from New to Under Review
Patch set 7 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/2001

#4 - 2011-12-20 22:37 - Lienhart Woitok
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:ef5441837625f4d85ada118b60b2448f8cfa4145.

#5 - 2011-12-21 15:07 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.0 has been pushed to the review server.
It is available at http://review.typo3.org/7466

#6 - 2011-12-23 18:33 - Lienhart Woitok
- Status changed from Under Review to Resolved

Applied in changeset commit:6629f53025e73b73d2c04d043f561637b1fa23be.
